#
# spec file for package lxqt-openssh-askpass
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-openssh-askpass
Version:        0.12.0
Release:        lp150.1.5
Summary:        Openssh password tool
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/LXQt
Url:            http://www.lxqt.org
Source:         https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  lxqt-build-tools-devel
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(lxqt) >= %{version}
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tool that will prompt user for password when using openssh in lxqt

%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install
install -Dm 0644 man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1            

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README.md
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?%{ext_man}                                             

%changelog
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.12.0:
  * Set patch version
  * Don't export github templates
  * Drops Qt5Core_VERSION_STRING
  * set Qt::AA_UseHighDpiPixmaps to true
  * Added QCommandLineParser and basic cli interface to lxqt-openssh-askpass
  * Added default CMAKE_BUILD_TYPE and LXQT_ASKPASS_PATCH_VERSION
  * Bump year
* Fri Feb 24 2017 sfalken@opensuse.org
- Update to 0.11.1:
  * Make CMakeLists.txt more uniform.
  * Remove cpack (#21)
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * Rework README.md
  * build: Use external translations
  * ts-files removal (#19)
  * Fix typo in German translation (#18)
  * Bump year Fix licenses, lxqt-openssh-askpass is LGPL only
  * Italian translation update
  * Fix target language in translation file template
  * Remove ru_RU translation file
  * new: lxqt-openssh-askpass_hu.ts
- Add keyring
* Fri Nov  6 2015 mvetter@suse.com
- Upstream release 0.10.0
* Fri Feb 20 2015 sfalken@opensuse.org
- Changed %%build and %%install to use cmake macros
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
- Added -lang subpackage
* Sun Jan 25 2015 sfalken@opensuse.org
- Added conditionals to enable building for Fedora
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Tue May 13 2014 sfalken@opensuse.org
- Specfile cleanup
* Mon May 12 2014 sfalken@opensuse.org
- Removed fedora specfile, split into subproject
  Del: lxqt-openssh-askpass-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE specfile
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  lxqt-openssh-askpass-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for stable release
  Add:  lxqt-openssh-askpass-0.7.0.tar.xz
  Del:  _service
* Thu Apr  3 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: lxqt-openssh-askpass.spec
  Add: lxqt-openssh-askpass.changes
